Subject: Re: NULL pointer deref bring up interfaces

From: Stephen Hemminger <[email-masked]>
Date: Sun, 6 Aug 2017 13:54:37 -0700

On Sun, 6 Aug 2017 12:29:13 -0500
Rafael Cepeda <[email-masked]> wrote:

> Just upgraded to 4.13rc2, rebooted, and my system crashed at my
> netmount init script; says RIP is NULL, I am guessing a bad func call.
> I immediately thought missing firmware in kernel, my kernel builds
> firmware in it, so I upgraded my firmware to latest on git.kernel and
> made sure I had no warnings in dmesg about missing firmware. Still, I
> receive this NULL pointer in the IP. If I disable my netmount on boot,
> I can login, but can not bring up my interfaces, still get a RIP err
> in kernel logs and cpu load sky-rockets...the issue still exists on
> rc3.
> 
> Linux-Regression-ID: lr#084be9
> 
> I am willing to help and provide as much info as possible, thank you.

You need to post:
 1. Kernel config -- since you are building your own kernel.
 2. Hardware -- lspci output
 3. Kernel log if possible (use serial console).

Ideally, you can bisect it down to the commit that causes the problem.